commit 9c10c557cb4e0955466b37dd61879563ef447c99
Author: freddy77 <freddy77>
Date:   Fri Jan 11 12:44:39 2008 +0000

    backported fix for Sybase

diff --git b/ChangeLog a/ChangeLog
index 851bd0f..c9b46cc 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Fri Jan 11 13:43:08 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/unittests/blob1.c: backport fix for Sybase
-
 Fri Jan 11  9:32:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c src/odbc/unittests/cursor3.c:
 	* src/odbc/unittests/cursor4.c src/odbc/unittests/cursor5.c:
@@ -41,4 +38,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.7 2008/01/11 12:44:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.6 2008/01/11 08:33:18 freddy77 Exp $
diff --git b/src/odbc/unittests/blob1.c a/src/odbc/unittests/blob1.c
index 0ac14c0..dfa8319 100755
--- b/src/odbc/unittests/blob1.c
+++ a/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.1.2.4 2008/01/11 12:44:39 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.1.2.3 2008/01/11 08:33:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -167,7 +167,7 @@ main(int argc, char **argv)
 
 	}
 
-	/* Now fetch rows ... */
+	/* No fetch rows ... */
 
 	for (i = 0; i < cnt; i++) {
 
@@ -175,12 +175,10 @@ main(int argc, char **argv)
 		rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt);
 		CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH");
 
-		if (db_is_microsoft()) {
-			rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
-			CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");
-			rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
-			CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
-		}
+		rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
+		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");
+		rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
+		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
 
 		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b, v FROM #tt WHERE k = ?", SQL_NTS);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");

